/// <reference types="@virgilsecurity/core-foundation" />
export declare enum KeyPairType {
    DEFAULT = "DEFAULT",
    ED25519 = "ED25519",
    CURVE25519 = "CURVE25519",
    SECP256R1 = "SECP256R1",
    RSA_2048 = "RSA_2048",
    RSA_3072 = "RSA_3072",
    RSA_4096 = "RSA_4096",
    RSA_8192 = "RSA_8192",
    CURVE25519_ROUND5_ED25519_FALCON = "CURVE25519_ROUND5_ED25519_FALCON",
    CURVE25519_ED25519 = "CURVE25519_ED25519"
}
export interface KeyPairTypeConfig {
    type: KeyPairType;
    algId?: FoundationModules.AlgId;
    bitlen?: number;
    cipherAlgIds?: FoundationModules.AlgId[];
    signerAlgIds?: FoundationModules.AlgId[];
}
export declare const getKeyPairTypeConfig: (keyPairType: KeyPairType[keyof KeyPairType]) => KeyPairTypeConfig;
export declare const isRSAKeyPairType: (keyPairType: KeyPairType[keyof KeyPairType]) => boolean;
export declare const isCompoundKeyPairType: (keyPairType: KeyPairType[keyof KeyPairType]) => boolean;
